
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('style.css');
        @import url('roundedcorners.css');
        @import url('tree.css');
            </style>
    
    <script src="sorttable.js" type="text/javascript"></script>
    <script src="overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="clover.js" type="text/javascript"></script>
    <script src="cloud.js" type="text/javascript"></script>
    <script src="help.js" type="text/javascript"></script>
  <title>HttpCore 4.2.3</title>
</head><body onload="loadPkgPane('HttpCore 4.2.3', 'pkg-app.html');">
  <!-- render overall summary coverage graph -->
<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="7">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:34:57 CET</div>

        
                <div class="navBar"><span class="navBarCurrent">App</span>&nbsp;&nbsp;&nbsp; <a href="testsrc-pkg-summary.html">Test</a>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<a href="proj-risks.html">Clouds</a></div>
        
            <div class="navBar"><span class="navBarCurrent">Overview</span>&nbsp;&nbsp;&nbsp;Package&nbsp;&nbsp;&nbsp;File</div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="pkg-summary.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:34:46 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      4,141
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      25,472
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      2,125
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.41
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      2,026
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      10,376
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.51
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      4.99
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      939
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      188
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      2.26
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      13.43
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      188
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      14
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:34:46 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      4,141
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      25,472
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      2,125
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.41
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      2,026
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      10,376
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.51
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      4.99
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      939
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      188
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      2.26
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      13.43
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      188
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      14
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>



<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>

<tr>
  <td class="graphHeaderLeft"><b>&nbsp;</b></td>
  <td class="graphHeader headerTitle" colspan="1"><label >Packages</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></td>
  <td class="graphHeader headerTitle" colspan="2"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></td>
</tr>

  <tr>
    <td class="graphItem">
			<a class='cloudLink' href='proj-risks.html'><img alt='Cloud icon for Clover database Wed Nov 28 2012 22:34:46 CET' src='img/cloud.png'/></a>
	        <span class="sortValue">Clover&nbsp;database&nbsp;Wed&nbsp;Nov&nbsp;28&nbsp;2012&nbsp;22:34:46&nbsp;CET</span>
    	   Clover&nbsp;database&nbsp;Wed&nbsp;Nov&nbsp;28&nbsp;2012&nbsp;22:34:46&nbsp;CET
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">14.0</span>
          14
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.2630458</span>
          2.26
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1372.0</span>
          1,372
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.80692375</span>
          80.7%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.80692375</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="19.3% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="80.7% Covered" class="barPositive " style="width: 80.7%"></div>
    </div>
</div>
      </td>
      
      </tr>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
</tbody>
<tbody>

<tr>
    <td class="sortable graphHeaderLeft" onclick="ts_resortTable(this, 'alpha', 0);return false;">
        <strong>&nbsp;Package</strong>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;"  colspan="1">
        <div class="headerTitle"><label >Files</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 2);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 3);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 4);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 5);return false;"  colspan="2">
        <div class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></div>
    </td>
        </tr><!-- render list of package coverage graphs -->
                          <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/params/pkg-risks.html'><img alt='Cloud icon for org.apache.http.params' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.params</span>
    	  <a href="org/apache/http/params/pkg-summary.html" title="org.apache.http.params">org.apache.http.params</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">13.0</span>
          13
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.5617977</span>
          1.56
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">236.0</span>
          236
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.39795917</span>
          39.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.39795917</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="60.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="39.8% Covered" class="barPositive " style="width: 39.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/pkg-risks.html'><img alt='Cloud icon for org.apache.http.impl' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl</span>
    	  <a href="org/apache/http/impl/pkg-summary.html" title="org.apache.http.impl">org.apache.http.impl</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">12.0</span>
          12
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.145631</span>
          2.15
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">305.0</span>
          305
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.5960265</span>
          59.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.5960265</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="40.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="59.6% Covered" class="barPositive " style="width: 59.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/util/pkg-risks.html'><img alt='Cloud icon for org.apache.http.util' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.util</span>
    	  <a href="org/apache/http/util/pkg-summary.html" title="org.apache.http.util">org.apache.http.util</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">7.0</span>
          7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.897436</span>
          2.9
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">184.0</span>
          184
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.7199391</span>
          72%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.7199391</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="28% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="72% Covered" class="barPositive " style="width: 72%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/protocol/pkg-risks.html'><img alt='Cloud icon for org.apache.http.protocol' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.protocol</span>
    	  <a href="org/apache/http/protocol/pkg-summary.html" title="org.apache.http.protocol">org.apache.http.protocol</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">29.0</span>
          29
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.7247705</span>
          2.72
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">204.0</span>
          204
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.7818182</span>
          78.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.7818182</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="21.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="78.2% Covered" class="barPositive " style="width: 78.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/pool/pkg-risks.html'><img alt='Cloud icon for org.apache.http.impl.pool' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.pool</span>
    	  <a href="org/apache/http/impl/pool/pkg-summary.html" title="org.apache.http.impl.pool">org.apache.http.impl.pool</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.6</span>
          1.6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">7.0</span>
          7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.86</span>
          86%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.86</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="14% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="86% Covered" class="barPositive " style="width: 86%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/entity/pkg-risks.html'><img alt='Cloud icon for org.apache.http.entity' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.entity</span>
    	  <a href="org/apache/http/entity/pkg-summary.html" title="org.apache.http.entity">org.apache.http.entity</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">13.0</span>
          13
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.7070707</span>
          1.71
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">68.0</span>
          68
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8634538</span>
          86.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8634538</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="13.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="86.3% Covered" class="barPositive " style="width: 86.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/pkg-risks.html'><img alt='Cloud icon for org.apache.http' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http</span>
    	  <a href="org/apache/http/pkg-summary.html" title="org.apache.http">org.apache.http</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">41.0</span>
          41
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.4791666</span>
          1.48
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">24.0</span>
          24
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8811881</span>
          88.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8811881</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="11.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="88.1% Covered" class="barPositive " style="width: 88.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/message/pkg-risks.html'><img alt='Cloud icon for org.apache.http.message' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.message</span>
    	  <a href="org/apache/http/message/pkg-summary.html" title="org.apache.http.message">org.apache.http.message</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">24.0</span>
          24
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.3300972</span>
          2.33
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">192.0</span>
          192
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.88384753</span>
          88.4%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.88384753</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="11.6% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="88.4% Covered" class="barPositive " style="width: 88.4%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/pool/pkg-risks.html'><img alt='Cloud icon for org.apache.http.pool' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.pool</span>
    	  <a href="org/apache/http/pool/pkg-summary.html" title="org.apache.http.pool">org.apache.http.pool</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">8.0</span>
          8
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0895522</span>
          2.09
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">50.0</span>
          50
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.916388</span>
          91.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.916388</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="8.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="91.6% Covered" class="barPositive " style="width: 91.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/concurrent/pkg-risks.html'><img alt='Cloud icon for org.apache.http.concurrent' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.concurrent</span>
    	  <a href="org/apache/http/concurrent/pkg-summary.html" title="org.apache.http.concurrent">org.apache.http.concurrent</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.3</span>
          2.3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">7.0</span>
          7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.91764706</span>
          91.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.91764706</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="8.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="91.8% Covered" class="barPositive " style="width: 91.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/io/pkg-risks.html'><img alt='Cloud icon for org.apache.http.impl.io' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.io</span>
    	  <a href="org/apache/http/impl/io/pkg-summary.html" title="org.apache.http.impl.io">org.apache.http.impl.io</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">19.0</span>
          19
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.7075472</span>
          2.71
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">86.0</span>
          86
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.92014855</span>
          92%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.92014855</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="92% Covered" class="barPositive " style="width: 92%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/entity/pkg-risks.html'><img alt='Cloud icon for org.apache.http.impl.entity' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.entity</span>
    	  <a href="org/apache/http/impl/entity/pkg-summary.html" title="org.apache.http.impl.entity">org.apache.http.impl.entity</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">5.0</span>
          5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">9.0</span>
          9
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9558824</span>
          95.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9558824</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="4.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="95.6% Covered" class="barPositive " style="width: 95.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
   </tbody>
<tbody>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
<tr><td class="footer" colspan="7">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:35:16 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody></table>
</body>
</html>
